﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@model Toyota.Common.Web.MVC.ModelHolder

@*@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierConversion", FormMethod.Post, new { enctype = "multipart/form-data" }))
{*@
<table border="0">
    <tr>
        <td style="vertical-align: middle;">
            @Html.DevExpress().Label(
                    l =>
                    {
                        l.Text = "Upload";
                        l.ControlStyle.CssClass = "label";
                    }
                         ).GetHtml()
        </td>
        <td style="display: inline-block;width: 290px;">
            <div style="width: 190px;float: left;background-color: red;">
                @using (Html.BeginForm("UploadCallback", "Dock", FormMethod.Post, new { enctype = "multipart/form-data" }))
                {
                    @Html.DevExpress().UploadControl(u =>
               {
                   u.Name = "DockUpload";
                   u.BrowseButton.Text = "Browse";
                   u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                   u.ShowAddRemoveButtons = false;
                   u.Width = Unit.Pixel(190);

                   u.ValidationSettings.MaxFileSize = 10000000;
                   u.ValidationSettings.AllowedFileExtensions = new string[] { ".xlsx","xlsx" };
                   //u.ValidationSettings.ShowErrors = true;

                   u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                   u.ValidationSettings.NotAllowedFileExtensionErrorText = "xls only";

                   u.CallbackRouteValues = new { Controller = "SupplierConversion", Action = "OnUploadCallbackRouteValues" };

                   u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                   u.ShowProgressPanel = false;
                   u.Style.Add("float", "left");

               }).GetHtml()

                }
            </div>
            </div>
            <div style="width: 3px;float: left;">&nbsp</div>
            <div style="width: 70px;float: left;">
                @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnUpload";
                                    setting.Text = "Upload";
                                    setting.Width = Unit.Pixel(70);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "upload";
                                    setting.Style.Add("float", "left");
                                }
                                ).GetHtml()
            </div>
    </tr>

    <tr style="height: 25px;">
        <td></td>
        <td>
            <div>
                @Html.DevExpress().HyperLink(
                                Lnk =>
                                {
                                    Lnk.Name = "LnkDownloadTemplate";
                                    Lnk.Properties.Text = "Download Template";
                                    Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                    Lnk.Properties.Style.Font.Underline = true;
                                    Lnk.ControlStyle.Cursor = "pointer";
                                    Lnk.Properties.ClientSideEvents.Click = "DownloadTemplate";
                                }
                            ).GetHtml()
            </div>
        </td>

        <td></td>
        <td></td>
        <td></td>
    </tr>
   
</table>

